Patches
Showing results for 
Search instead for 
Do you mean 

Package installation using Depothelper

Occasional Contributor

Package installation using Depothelper

[ Edited ]

Hi All,

 

I am trying to install the packages in Itanium servers using depot helper

 

Os version is 11.31 and i am getting the below error.

 

# /usr/local/bin/depothelper bash
=================================================================================================================
Package-version      Comment              Download        Install
=================================================================================================================
ia64-11.31           Package list         FAILED          Not installed
=================================================================================================================
ERROR: Can't get list of ia64-11.31 packages from hpux.connect.org.uk - aborted

 

Please help me to fix it and also help me to understand how depothelper is working to download the packages.

 

Regards

Rajini

 

 

 

P.S. This thread has been moved from Servers > Integrity Servers > to HP-UX > patches. -HP Forum Moderator

2 REPLIES
Occasional Advisor

Re: Package installation using Depothelper

Hi,

you probably have internet connectivity problem / firewall. Try to add  -p :

 

-p <host:port> specifies that an FTP proxy server will be used

Honored Contributor Honored Contributor

Re: Package installation using Depothelper

By default, depothelper uses the plain HP-UX "ftp" command to download packages.

The -p option allows a FTP proxy to be used, but it must be a true FTP proxy.

Even though HTTP proxies can often be used to contact to FTP servers using ftp:// URLs, they don't work with depothelper.

 

Using a ftp:// URL with a proxy requires that the client uses HTTP to communicate with the proxy. The proxy will then use FTP protocol to communicate with the requested server. But the depothelper script can't do HTTP, only FTP.

 

In this thread, I posted a modification to the depothelper script. It makes the script use "wget" instead of ftp for downloads.

http://h30499.www3.hp.com/t5/Patches/ftp-proxy-usage-for-downloading-dependencies-of-vim-depot/m-p/6...

 

Since wget can use HTTP proxies, this modification might be useful if only a HTTP proxy is available. However, before you can use the modified script, you must first install the "wget" utility without depothelper.

MK